Service Available Times
GET /businesses/{businessId}/services/{serviceId}/availableTimes
GET
/businesses/{businessId}/services/{serviceId}/availableTimes
Retrieve available times for a service
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” startDate
required
string format: date-time
The start date of the range to retrieve available times for (ISO 8601 format).
endDate
required
string format: date-time
The end date of the range to retrieve available times for (ISO 8601 format).
duration
required
integer
The duration of the service in minutes.
staffIds
Array<string>
The staff members to filter the available times by.
includeUnavailableSlots
boolean
If true, unavailable slots will be included in the response.
Responses
Section titled “ Responses ”The available times for this service
object
data
The bookable times for a given filter.
Array<object>
object
time
The start time of the time slot. ISO 8601 format.
string
Example
2022-07-01T10:00:00.000Z staffs
Array<object>
object
id
The ID of the Staff Member
string format: uuid
availableSlots
The number of available slots for this time slot.
number